All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Class ImageLinkModel

    com.sas.models.ImageLinkModel

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, ComponentInterface, com.sas.lang.StringDataInterface, LinkPropertiesInterface, ModelInterface, ImageDataInterface, LinkDataInterface, ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class ImageLinkModel

implements LinkDataInterface

Provides an implementation of ImageDataInterface

See Also:
  Serialized Form

Constructor Summary
`ImageLinkModel()` Constructs a new ImageLinkModel

Method Summary
`java.lang.String` | `getURL()` Gets the url
`void` | `setURL(java.lang.String newURL)` Sets the url

Methods inherited from class com.sas.models.ImageModel
`getImage, getText, setImage, setText`

Methods inherited from class com.sas.Component
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, beansIsDesignTime, beansSetDesignTime, clone, clone, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getExtendedBeanInfo, getLinkInfo, getModelInterface, getRequiredInterfaces, getResources, getStringResource, getViewInterfaceSupportInfo, initialize, initializeComponent, isDesignTime, isLinked, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setComponentDescription, setComponentSupportInfo, setDefaultValues, setLinkInfo, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, validateObject`

Constructor Detail

### ImageLinkModel

    public ImageLinkModel()

  Constructs a new ImageLinkModel

Method Detail

### getURL

    public java.lang.String getURL()

  Gets the url

  Specified by:
    `getURL` in interface `LinkDataInterface`
  Returns:
    url The url

### setURL

    public void setURL(java.lang.String newURL)

  Sets the url

  Specified by:
    `setURL` in interface `LinkDataInterface`
  Parameters:
    `newUrl` - The url

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.